const IGDB_IMG_BASE_URL = process.env.IGDB_IMG_BASE_URL ?? ''

// changes the default size of the image to be fetched
export function getImageURL(hashId: string, size: string): string {
    return `${IGDB_IMG_BASE_URL}/t_${size}_2x/${hashId}.jpg`
}

// returns the base url for the current environment, even considering current port
export function getBaseURL(): string {
    return process.env.NODE_ENV === 'production'
        ? process.env.PROD_URL ?? ''
        : (typeof window !== 'undefined'
            ? `http://${window.location.hostname}:${window.location.port}`
            : 'http://localhost:3000')
}

// calculates the offset for the query
export function calculateOffset(page: number, limit: number): number {
    return (page - 1) * limit
}